public static interface CosmosDbEndpointBuilderFactory.CosmosDbBuilders
| Modifier and Type | Method and Description |
|---|---|
default CosmosDbEndpointBuilderFactory.CosmosDbEndpointBuilder |
azureCosmosdb(String path)
Azure CosmosDB (camel-azure-cosmosdb)
Azure Cosmos DB is Microsofts globally distributed, multi-model
database service for operational and analytics workloads.
|
default CosmosDbEndpointBuilderFactory.CosmosDbEndpointBuilder |
azureCosmosdb(String componentName,
String path)
Azure CosmosDB (camel-azure-cosmosdb)
Azure Cosmos DB is Microsofts globally distributed, multi-model
database service for operational and analytics workloads.
|
default CosmosDbEndpointBuilderFactory.CosmosDbEndpointBuilder azureCosmosdb(String path)
azure-cosmosdb:databaseName/containerName
Path parameter: databaseName
The name of the Cosmos database that component should connect to. In
case you are producing data and have createDatabaseIfNotExists=true,
the component will automatically auto create a Cosmos database.
Path parameter: containerName
The name of the Cosmos container that component should connect to. In
case you are producing data and have createContainerIfNotExists=true,
the component will automatically auto create a Cosmos container.path - databaseName/containerNamedefault CosmosDbEndpointBuilderFactory.CosmosDbEndpointBuilder azureCosmosdb(String componentName, String path)
azure-cosmosdb:databaseName/containerName
Path parameter: databaseName
The name of the Cosmos database that component should connect to. In
case you are producing data and have createDatabaseIfNotExists=true,
the component will automatically auto create a Cosmos database.
Path parameter: containerName
The name of the Cosmos container that component should connect to. In
case you are producing data and have createContainerIfNotExists=true,
the component will automatically auto create a Cosmos container.componentName - to use a custom component name for the endpoint
instead of the default namepath - databaseName/containerNameApache Camel